<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ConfigFile Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#210c66181466a969725d196d09880fc7">clear</a>(void)</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#e9cea1fe4ad70279841635eb892ba514">ConfigFile</a>()</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#30a55cb6298f52535b4772b90b368f53">getMultiSetting</a>(const String &amp;key, const String &amp;section=StringUtil::BLANK) const </td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#ced12d8135c24ff4bbe6f329e900b046">getSectionIterator</a>(void)</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#31e1f6a3b824ea3fe3c00a5c0f75cbc1">getSetting</a>(const String &amp;key, const String &amp;section=StringUtil::BLANK) const </td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#048408e7937efe28bc61bf5e552bd32d">getSettingsIterator</a>(const String &amp;section=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#361167ade63602d0cf242ee24a10b4a8">load</a>(const String &amp;filename, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#5b28053a489365f4b30d4d9c166443b8">load</a>(const String &amp;filename, const String &amp;resourceGroup, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#165868d7dd164934fcb0358db1b57bc7">load</a>(const DataStreamPtr &amp;stream, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#6f0e8df905fe76a8443fb35938b7093c">loadDirect</a>(const String &amp;filename, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#cff4e2bdf7a14e6592a324452c243a04">loadFromResourceSystem</a>(const String &amp;filename, const String &amp;resourceGroup, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#3a7b05390a1fec51ba0600c9e977c318">mSettings</a></td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#a0167bf5f0a33e109d2de01a6a14f2f0">SectionIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#77b98c7359f2ff7b67b9039e8979a2ac">SettingsBySection</a> typedef</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#df764e20ebcf5c52d0ea887b1468a283">SettingsIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#7c64847e5235249d699b38a36c8fd2db">SettingsMultiMap</a> typedef</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConfigFile.html#eb74fca345254b1701f509d3b0e77694">~ConfigFile</a>()</td><td><a class="el" href="classOgre_1_1ConfigFile.html">Ogre::ConfigFile</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:28 2008
</p>
</body>
</html>
